Subject: Re: still cannot telnet to cygwin 1.3.10
From: David Starks-Browning <[email-masked]>
To: "Gregory Lampshire" <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Thu, 20 Jun 2002 15:02:44 +0100

On NT4, I had to enable ntsec to get this working.  Are you sure that
you are setting ntsec "early" enough?  Put it in the system
environment and reboot.

You also have to be careful that permissions are correct.  Make sure
that inetd.exe, in.telnetd.exe, cygwin1.dll, ... all have execute
permission for everyone involved ... system account, user, whoever.

You should also regenerate /etc/passwd and /etc/group with the latest
mkpasswd and mkgroup.

Those were things I fiddled with when it broke for me, and it's
working now.

Regards,
David

On Sunday 16 Jun 02, Gregory Lampshire writes:
> Any resolution to this?  I have the same problem on a NT4.0 box.
> 
> 
> "Don Sharp" <[email-masked]> wrote in message
> news:[email-masked]...
> > Hi Cygwinners
> >
> > I've reviewed problems with inetd via google searches and have tried
> > regenerating my passwd and group files but I am still getting
> >
> > "The application failed to initialize properly (0xc0000022).."
> >
> > on the host machine.
> >
> > I have ntsec set, as has been suggested, via the registry entry. I show
> > the inetd registry entries below.
> >
> > \Registry
> >     Machine
> >         SYSTEM
> >             ControlSet001
> >                 Enum
> >                     Root
> >                         LEGACY_INETD
> >                             0000
> >                                 Service = inetd
> >                                 DeviceDesc = CYGWIN inetd
> >                                 Control
> >                                     ActiveService = inetd
> >                 Services
> >                     inetd
> >                         ImagePath = REG_EXPAND_SZ g:\usr\sbin\inetd.exe
> >                         DisplayName = CYGWIN inetd
> >                         Parameters
> >                             ConfigFilePath = /etc/inetd.conf
> >             ControlSet002
> >                 Enum
> >                     Root
> >                         LEGACY_INETD
> >                             0000
> >                                 Service = inetd
> >                                 DeviceDesc = CYGWIN inetd
> >                 Services
> >                     inetd
> >                         ImagePath = REG_EXPAND_SZ g:\usr\sbin\inetd.exe
> >                         DisplayName = CYGWIN inetd
> >                         Parameters
> >                             ConfigFilePath = /etc/inetd.conf
> >         SOFTWARE
> >             Cygnus Solutions
> >                 Cygwin
> >                     Program Options
> >                         G:\usr\sbin\inetd.exe = binmode tty ntsec
> >
> > My cygwin installation is up to date.
> >
> > $ uname -a
> > CYGWIN_NT-4.0 DON 1.3.10(0.51/3/2) 2002-02-25 11:14 i686 unknown
> >
> > Please could someone provide step by step instructions to return my
> > system to providing a working telnet/rsh etc.
> >
> > TIA
> >
> > Don Sharp

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/